### Method

# Gegl Noderemove_child

#### Declaration [src]

    GeglNode*
    gegl_node_remove_child (
      GeglNode* graph,
      GeglNode* child
    )

#### Description [src]

Removes a child from a GeglNode. The reference previously held will be dropped so increase the reference count before removing when reparenting a child between two graphs.

#### Parameters

`child`

  Type: `GeglNode`

  A GeglNode.

  The data is owned by the caller of the method.

#### Return value

Type: `GeglNode`

The child.

The returned data is owned by the instance.